libcoap 4.3.2rc2

Data Fields
coap_queue_t Struct Reference
Libcoap Internal API » Context Handling

Queue entry. More...

`#include <coap_net_internal.h>`

## Data Fields
struct coap_queue_t * | next
coap_tick_t | t
| when to send PDU for the next time More...
unsigned char | retransmit_cnt
| retransmission counter, will be removed when zero More...
uint8_t | is_mcast
| Set if this is a queued mcast response. More...
unsigned int | timeout
| the randomized timeout value More...
coap_session_t * | session
| the CoAP session More...
coap_mid_t | id
| CoAP message id. More...
coap_pdu_t * | pdu
| the CoAP PDU to send More...

## Detailed Description

Queue entry.

Definition at line 34 of file coap_net_internal.h.

## Field Documentation

## ◆ id

coap_mid_t coap_queue_t::id

CoAP message id.

Definition at line 42 of file coap_net_internal.h.

## ◆ is_mcast

uint8_t coap_queue_t::is_mcast

Set if this is a queued mcast response.

Definition at line 39 of file coap_net_internal.h.

## ◆ next

struct coap_queue_t* coap_queue_t::next

Definition at line 35 of file coap_net_internal.h.

## ◆ pdu

coap_pdu_t* coap_queue_t::pdu

the CoAP PDU to send

Definition at line 43 of file coap_net_internal.h.

## ◆ retransmit_cnt

unsigned char coap_queue_t::retransmit_cnt

retransmission counter, will be removed when zero

Definition at line 37 of file coap_net_internal.h.

## ◆ session

coap_session_t* coap_queue_t::session

the CoAP session

Definition at line 41 of file coap_net_internal.h.

## ◆ t

coap_tick_t coap_queue_t::t

when to send PDU for the next time

Definition at line 36 of file coap_net_internal.h.

## ◆ timeout

unsigned int coap_queue_t::timeout

the randomized timeout value

Definition at line 40 of file coap_net_internal.h.

The documentation for this struct was generated from the following file:

- coap_net_internal.h